termite(1)

NAME
termite - A keyboard-centric VTE-based terminal aimed for use with a tiling and/or tabbing enabled window manager.

SYNOPSIS
termite [options]

DESCRIPTION
termite is a GTK-based terminal emulator inteded for use within window managers with tiling and/or tabbing support. It provides a fast terminal experience and pleasant array of keyboard-centric features.

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information.

-e, --exec=COMMAND
    Tell termite start COMMAND instead of the shell.

-r, --role=ROLE
    The role to set the termite window to report itself with.

-t, --title=TITLE
    Set the termite window's title to TITLE. This disables dynamic titles.

-d, --directory=DIRECTORY
    Tell termite to change to DIRECTORY when launching.

--geometry=GEOMETRY
    Override the window geometry in pixels.

--hold
    Keep termite open after the child process exits.

--display=DISPLAY
    Launch on DISPLAY X display.

-c, --config=CONFIG
    Specify a path to an alternative config file to use.

The following two options are built into GTK+ and documented by --help-gtk

--name=NAME
    Set the windows name part of the WM_CLASS property.

--class=CLASS
    Set the windows class part of the WM_CLASS property.

KEYBINDINGS

  Insert Mode
Insert Mode is the default mode common to most terminal emulators. This is where you enter commands and interact with the programs running within termite.

ctrl-shift-x
    activate url hints mode

ctrl-shift-r
    reload configuration file

ctrl-shift-c
    copy to CLIPBOARD

ctrl-shift-v
    paste from CLIPBOARD

ctrl-shift-u
    unicode input (standard GTK binding)

ctrl-tab
    start scrollback completion

ctrl-shift-space
    enter selection mode

ctrl-shift-t
    open a new terminal in the current directory

ctrl-shift-up
    scroll up a line

ctrl-shift-down
    scroll down a line

shift-pageup
    scroll up a page

shift-pagedown
    scroll down a page

  Selection Mode
In Selection Mode you interact with the interface of termite and the visual representation of the programs running within it. You can search, mark and copy contents from the display for use in other programs.

escape or ctrl-[
    enter insert mode

x   activate url hints mode

v   visual mode

V   visual line mode

ctrl-v
    visual block mode

hjkl or arrow keys
    move cursor left/down/up/right

w or shift-right
    forward word

b or shift-left
    backward word

W or ctrl-right
    forward WORD (non-whitespace)

B or ctrl-left
    backward WORD (non-whitespace)

0   move cursor to the first column in the row"

^   beginning-of-line (first non-blank character)

$   end-of-line

g   jump to start of first row

G   jump to start of last row

ctrl-u
    move cursor a half screen up

ctrl-d
    move cursor a half screen down

ctrl-b
    move cursor a full screen up (back)

ctrl-f
    move cursor a full screen down (forward)

y   copy to CLIPBOARD

/   forward search

?   reverse search

u   forward url search

U   reverse url search

o   open the current selection as a url

Return
    open the current selection as a url and enter insert mode

n   next search match

N   previous search match

+   increase font size

-   decrease font size

  Hints Mode
The Hints Mode is meant for accessing urls outputted to the terminal. When active, links can be launched with a few keypresses.

FILES
termite looks for the configuration file in the following order: "$XDG_CONFIG_HOME/termite/config", "~/.config/termite/config", "$XDG_CONFIG_DIRS/termite/config" and "/etc/xdg/termite.cfg"

EXIT STATUS
termite returns 1 on failure, including a termination of the child process from an uncaught signal. Otherwise the status is that of the child process.

REMARKS
During scrollback search, the current selection is changed to the search match and copied to the PRIMARY clipboard buffer.

With the text input widget focused, up/down (or tab/shift-tab) cycle through completions, escape closes the widget and enter accepts the input.

In hints mode, the input will be accepted as soon as termite considers it a unique match.

  Current Directory
The directory can be set by a process running in the terminal. For example, with zsh:

    if [[ $TERM == xterm-termite ]]; then
      . /etc/profile.d/vte.sh
      __vte_osc7
    fi

or for example, with bash:

    if [[ $TERM == xterm-termite ]]; then
      . /etc/profile.d/vte.sh
      __vte_prompt_command
    fi